﻿
from sqlalchemy import create_engine
from sqlalchemy import Column, Integer, String, DateTime, Boolean
from sqlalchemy.orm import scoped_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base

#-------------------------------------------------------------------------------------------------
# Sample Connection Strings
#-------------------------------------------------------------------------------------------------
# SQLite
#engine = create_engine('sqlite:///:memory:', echo=True)
#engine = create_engine('sqlite:////tmp/test.db', convert_unicode=True, echo=True)

# MySQL -> DOWNLOAD FROM: http://www.lfd.uci.edu/~gohlke/pythonlibs/#mysql-python
#engine = create_engine('mysql+mysqldb://admin:admin@localhost/test', isolation_level='READ UNCOMMITTED', echo=False)

# SQL Server -> DOWNLOAD FROM: http://code.google.com/p/pyodbc/
#            -> Documentation at: http://docs.sqlalchemy.org/en/latest/dialects/mssql.html#id1
#engine = create_engine('mssql+pyodbc://admin:admin@localhost/testdb', echo=False)
#OR
#import urllib
#quoted = urllib.quote_plus('DRIVER={SQL Server};SERVER=(local);DATABASE=testdb;UID=admin;PWD=admin')
#engine = create_engine('mssql+pyodbc:///?odbc_connect={}'.format(quoted), echo=False)
#engine = create_engine('mssql+pyodbc://admin:admin@localhost/testdb', echo=False)
#-------------------------------------------------------------------------------------------------

engine = create_engine('mssql+pyodbc://admin:admin@localhost/Northwind', echo=False)

db_session = scoped_session(sessionmaker(autocommit=False, autoflush=False, bind=engine))

Base = declarative_base()
Base.query = db_session.query_property()

def init_db():
  Base.metadata.create_all(bind=engine)

if __name__ == '__main__':
  init_db()

