﻿String.prototype.trim = function(){return (this.replace(/^[\s\xA0]+/, "").replace(/[\s\xA0]+$/, ""))};
String.prototype.startsWith = function(str) {return (this.match("^"+str)==str)};
String.prototype.endsWith = function(str) {return (this.match(str+"$")==str)};
(function( $ ){
  // Case-insensitive "contains"
  $.expr[':'].containsNoCase = function(a,i,m){
    return (a.textContent || a.innerText || jQuery(a).text() || "").toLowerCase().indexOf((m[3]||'').toLowerCase())>=0;
  };
  
  $.extend({
    parseQueryString: function(){
      var nvpair = {};
      var qs = window.location.search.replace('?', '');
      var pairs = qs.split('&');
      $.each(pairs, function(i, v){
        var pair = v.split('=');
        nvpair[pair[0]] = pair[1];
      });
      return nvpair;
    },
	// from: https://github.com/gehsekky/jquery-querystring/blob/master/jquery.querystring.js
	querystring: function(name) {
		var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
		return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
	},
    filterList: function(ulid, txt) {
      if(txt) {
        $(ulid).children("li:containsNoCase('" + txt + "')").fadeIn();//.css("text-decoration", "underline");
        $(ulid).children("li").not(":containsNoCase('" + txt + "')").fadeOut();//.css("text-decoration", "none");
      } else {
        // Input is blank; show all
        $(ulid).children("li").fadeIn();
      }
      return false;
    }
  });
  
  // Adapted from: jquery.filterList.1.0.js 
  $.fn.filterMenu = function(ulid) { 
    // Hide list items that do not contain filter term/show ones that do
    $(this).keyup(function() {$.filterList(ulid,$(this).val());});
    return this;
  };
})( jQuery );

/*!
 * jQuery Cookie Plugin
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2011, Klaus Hartl
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.opensource.org/licenses/GPL-2.0
 */
/*
Setting a cookie

$.cookie("example", "foo");
Setting with expiry time

$.cookie("example", "foo", { expires: 7 });
Getting the cookie

$.cookie("example")
Deleting the cookie

$.cookie("example", null);
*/
(function($) {
    $.cookie = function(key, value, options) {

        // key and at least value given, set cookie...
        if (arguments.length > 1 && (!/Object/.test(Object.prototype.toString.call(value)) || value === null || value === undefined)) {
            options = $.extend({}, options);

            if (value === null || value === undefined) {
                options.expires = -1;
            }

            if (typeof options.expires === 'number') {
                var days = options.expires, t = options.expires = new Date();
                t.setDate(t.getDate() + days);
            }

            value = String(value);

            return (document.cookie = [
                encodeURIComponent(key), '=', options.raw ? value : encodeURIComponent(value),
                options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
                options.path    ? '; path=' + options.path : '',
                options.domain  ? '; domain=' + options.domain : '',
                options.secure  ? '; secure' : ''
            ].join(''));
        }

        // key and possibly options given, get cookie...
        options = value || {};
        var decode = options.raw ? function(s) { return s; } : decodeURIComponent;

        var pairs = document.cookie.split('; ');
        for (var i = 0, pair; pair = pairs[i] && pairs[i].split('='); i++) {
            if (decode(pair[0]) === key) return decode(pair[1] || ''); // IE saves cookies with empty string as "c; ", e.g. without "=" as opposed to EOMB, thus pair[1] may be undefined
        }
        return null;
    };
})(jQuery);
